from pypdevs.DEVS import *
from pypdevs.simulator import Simulator
from numpy import *
from cbd import Root as r1
from cbd_2 import Root as r2
from cbd_3 import Root as r3
from cbd_4 import Root as r4
from cbd_5 import Root as r5
from cbd_6 import Root as r6

def termination_condition(time, model):
	time = time[0]
	return time >= 21.0

model1 = r1()
model2 = r2()
model3 = r3()
model4 = r4()
model5 = r5()
model6 = r6()

sim1 = Simulator(model1)
sim1.setClassicDEVS()
sim1.setTerminationCondition(termination_condition)

sim2 = Simulator(model2)
sim2.setClassicDEVS()
sim2.setTerminationCondition(termination_condition)

sim3 = Simulator(model3)
sim3.setClassicDEVS()
sim3.setTerminationCondition(termination_condition)

sim4 = Simulator(model4)
sim4.setClassicDEVS()
sim4.setTerminationCondition(termination_condition)

sim5 = Simulator(model5)
sim5.setClassicDEVS()
sim5.setTerminationCondition(termination_condition)

sim6 = Simulator(model6)
sim6.setClassicDEVS()
sim6.setTerminationCondition(termination_condition)

sim1.simulate()
sim2.simulate()
sim3.simulate()
sim4.simulate()
sim5.simulate()
sim6.simulate()

print "RESULTS FOR MODEL 1"
print "-------------------"
print str(model1.submodels["CBD"].state)
print "\n"
print "RESULTS FOR MODEL 2"
print "-------------------"
print str(model2.submodels["CBD"].state)
print "\n"
print "RESULTS FOR MODEL 3"
print "-------------------"
print str(model3.submodels["CBD"].state)
print "\n"
print "RESULTS FOR MODEL 4"
print "-------------------"
print str(model4.submodels["CBD"].state)
print "\n"
print "RESULTS FOR MODEL 5"
print "-------------------"
print str(model5.submodels["CBD"].state)
print "\n"
print "RESULTS FOR MODEL 6"
print "-------------------"
print str(model6.submodels["CBD"].state)
print "\n"