#!/usr/bin/env python

import unittest

from CBDMultipleOutput.Test.compilerTest import CompilerTestCase


allTests = [ (CompilerTestCase, "Simulate arbitray models ") ]

for (testCase, testCaseDescription) in allTests:
  testSuite = unittest.TestLoader().loadTestsFromTestCase(testCase)
  print("")
  print(70*"+")
  print("++  running unit tests for %s" % testCaseDescription)
  print("")
  unittest.TextTestRunner(verbosity=2).run(testSuite)

